<?php

namespace App\Classes\Modules\Steps\Services;

use App\Classes\General\Eloquent\AbstractFetchRecord;
use App\Models\Step;
use Illuminate\Database\Eloquent\Builder;

class FetchesSteps extends AbstractFetchRecord
{

    /** @var Step */
    private $repository;

    /**
     * FetchSteps constructor.
     * @param Step $repository
     */
    public function __construct(Step $repository)
    {
        $this->repository = $repository;
    }


    /**
     * @return Builder
     */
    public function getRepository(): Builder
    {
        return $this->repository->newQuery();
    }
}